EDIT - feature request #8398

Add nomenclatural code edition to ruleConsidered
07/23/2019 01:27 PM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.8

Severity: normal

Description

copied from #7975#note-31 :

"... adding an enumeration field to NameRelationship and to NomenclaturalStatus to allow expressing the code exactly.

The enumeration type should offer string representations for the full citation, and appreciated citation, key of code (ICBN, ICZN,

for filtering and publication year, for ordering."

Related issues:

Related to EDIT - bug #8399: show nomenclatural code edition for NameRelatio...
Related to EDIT - feature request #8408: add nomenclatural code select to Nom...
Related to EDIT - feature request #8409: add nomenclatural code select to Nam...
Related to EDIT - feature request #8410: Add nomenclatural code edition to ru...
Related to EDIT - feature request #9640: Updated List ICN/ICBN editions

Copied from EDIT - feature request #7975: Implement a block to display namerr...

New

Closed
Closed
Closed
Closed
Closed

Associated revisions

Revision 3b49c84a - 07/23/2019 08:42 PM - Andreas Miiller

fix #8398 add nomenclatural code edition to nomStatus, NameRelationship and HybridRelationship and make RuleConsidered an embedded class

Revision 7b9ed797 - 07/24/2019 11:45 AM - Andreas Miiller

ref #7334 remove TaxonBase.proParte and partial and ref #8398 add codeEditon to nomStatus and nameRelations

Revision 29de4478 - 09/06/2019 09:37 PM - Andreas Kohlbecker

ref #8398 adding codeEdition to NameRelationship constructors and to related add* methods in TaxonName and some more

Revision 20abbff9 - 09/06/2019 10:29 PM - Andreas Kohlbecker

ref #8398 adapting taxeditor to changes in NameRelationship

History

#1 - 07/23/2019 01:40 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.8

#2 - 07/23/2019 03:25 PM - Andreas Kohlbecker

- Copied from feature request #7975: Implement a block to display name relations added

#3 - 07/23/2019 03:27 PM - Andreas Kohlbecker

- Description updated

#4 - 07/23/2019 03:30 PM - Andreas Kohlbecker

- Description updated

#5 - 07/23/2019 03:32 PM - Andreas Kohlbecker

- Related to bug #8399: show nomenclatural code edition for NameRelationship and NomenclaturalStatus added
#6 - 07/23/2019 08:40 PM - Andreas Miiller

- Subject changed from Add nomenclatural code reference to ruleConsidered to Add nomenclatural code edition to ruleConsidered

#7 - 07/24/2019 07:48 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|3b49c84a0287d1f78acb49ff1270a38c679cfd3a.

#8 - 07/26/2019 10:55 AM - Andreas Kohlbecker

- Related to feature request #8408: add nomenclatural code select to NomenclaturalStatusRow added

#9 - 07/26/2019 10:58 AM - Andreas Kohlbecker

- Related to feature request #8409: add nomenclatural code select to NameRelationField added

#10 - 07/26/2019 05:53 PM - Andreas Miiller

- Related to feature request #8410: Add nomenclatural code edition to ruleConsidered in TaxEditor added

#11 - 08/16/2019 12:16 PM - Andreas Miiller

- Assignee changed from Andreas Miller to Andreas Kohlbecker
As this was your (phycobank) requirement | give it to you for review.
#12 - 09/06/2019 09:34 PM - Andreas Kohlbecker

excellently implemented, thanks a lot!

| extended the protected constructors in NameRelationship and the related add* methods also in TaxonName. (commit follows)

#13 - 11/08/2019 03:04 PM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Andreas Miiller
- % Done changed from 50 to 100

Andreas Kohlbecker wrote:

excellently implemented, thanks a lot!

| extended the protected constructors in NameRelationship and the related add* methods also in TaxonName. (commit follows)

| guess this means we can close it.

By the way extending the add* methods created many compile errors in cdmlib-app. In future we should think about keeping the old methods, too.

#14 - 02/11/2022 02:25 PM - Andreas Kohlbecker
- Related to feature request #9640: Updated List ICN/ICBN editions added
